Subject: bug#2753: 23.0.91; Hang with psvn.el

From: Stefan Monnier <[email-masked]>
Date: Mon, 23 Mar 2009 11:23:50 -0400

> I have a subversion working copy that, when visited with `M-x
> svn-status', if I do `U', Emacs hangs.  `ps waux | grep svn' in the
> shell shows that no subversion process is running.

By "hang" do you mean that you have to kill it, or does C-g bring it
back to life?
If C-g brings it back to life, then please enable "Options => Enter
Debugger on Quit/C-g", reproduce then problem and show us the backtrace
you (hopefully) get when you then hit C-g.

If it doesn't, then please run your Emacs under GDB (starting in the
emacs/src directory) and when Emacs hangs, do C-z to get back into the
debugger and type "xbacktrace" (as well as "bt") to show us the
Lisp stack.

        Stefan